Package ru.bitel.oss.systems.inventory.resource.common.event

# Class IpResourceSubscriptionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.oss.systems.inventory.resource.common.event.IpResourceSubscriptionEvent

All Implemented Interfaces:
  `Serializable`

public class IpResourceSubscriptionEvent extends ru.bitel.bgbilling.kernel.event.common.PoolEvent

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `TYPE_SUBSCRIBED`
  `static final short`
  `TYPE_UNSUBSCRIBED`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IpResourceSubscriptionEvent()`
  ``
  `IpResourceSubscriptionEvent(short type, int moduleId, int subscriberType, int subscriberId, String subscriberTitle, int ipResourceId, long subscriptionId, byte[] addressFrom, byte[] addressTo, Date timeFrom, Date timeTo, boolean dynamic)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `int`
  `getIpResourceId()`
  `String`
  `getSubscriberTitle()`
  `int`
  `getSubscriberType()`
  `long`
  `getSubscriptionId()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `short`
  `getType()`
  `boolean`
  `isDynamic()`
  `void`
  `setAddressFrom(byte[] addressFrom)`
  `void`
  `setAddressTo(byte[] addressTo)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_SUBSCRIBED

    public static final short TYPE_SUBSCRIBED
    See Also:
      - Constant Field Values

  - ### TYPE_UNSUBSCRIBED

    public static final short TYPE_UNSUBSCRIBED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IpResourceSubscriptionEvent

    protected IpResourceSubscriptionEvent()

  - ### IpResourceSubscriptionEvent

    public IpResourceSubscriptionEvent(short type, int moduleId, int subscriberType, int subscriberId, String subscriberTitle, int ipResourceId, long subscriptionId, byte[] addressFrom, byte[] addressTo, Date timeFrom, Date timeTo, boolean dynamic)

- ## Method Details

  - ### getType

    public short getType()

  - ### getSubscriptionId

    public long getSubscriptionId()

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo(byte[] addressTo)

  - ### getTimeTo

    public Date getTimeTo()

  - ### getSubscriberType

    public int getSubscriberType()

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### isDynamic

    public boolean isDynamic()